<?php

namespace App\Console\Commands;

use Illuminate\Console\Command;

class Migrations extends Command
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'run:migrations {--force : force the operation without confirmation }';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'Run all migrations in order';

    /**
     * Execute the console command.
     */
    public function handle()
    {
        //
        $migrations = [
            '2024_02_19_061128_create_app_settings_table.php',
            '2024_02_15_063232_create_roles_table.php',
            '2014_10_12_000000_create_users_table.php',
            '2014_10_12_100000_create_password_reset_tokens_table.php',
            '2019_08_19_000000_create_failed_jobs_table.php',
            '2019_12_14_000001_create_personal_access_tokens_table.php',
            '2024_02_15_063549_create_user_connections_table.php',
            '2024_02_15_065214_create_categorias_table.php',
            '2024_02_15_065403_create_productos_table.php',
            '2024_02_11_191129_create_clientes_table.php',
            '2024_02_11_191144_create_empleados_table.php',
            '2024_02_15_064424_create_sucursales_table.php',
            '2024_02_19_135837_create_metodos_pagos_table.php',
            '2024_02_11_193839_create_clientes_pedidos_table.php',
            '2024_02_15_064508_create_pedidos_detalles_table.php',
            '2024_02_19_082819_create_pedidos_pagos_table.php',
            '2024_02_23_155038_create_menu_options_table.php',
            '2024_02_23_155130_create_menu_options_roles_table.php'
        ];

        if($this->option('force') || $this->confirm('Do you really want to perform this operation?')){

            foreach($migrations as $migration){
                $basePath = 'database/migrations/';          
                $migrationName = trim($migration);
                $path = $basePath.$migrationName;
                $this->call('migrate', [
                    '--path' => $path ,            
                ]);
            }
             
            return $this->info('Operation completed successfully!');
         }
 
         return $this->info('Operation Cancelled');
    }
}
