<?php

namespace App\Console\Commands;

use Illuminate\Console\Command;

class Seeders extends Command
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'run:seeders {--force : force the operation without confirmation }';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'Command description';

    /**
     * Execute the console command.
     */
    public function handle()
    {
        //
        $seeders = [ 
            'RoleSeeder',
            'UserSeeder',
            'AppSeeder',
            'MenuSeeder',
            'MenuOptionSeeder'
        ];

        if($this->option('force') || $this->confirm('Do you really want to perform this operation?')){

            foreach($seeders as $seeder){          
               $SeederName = trim($seeder);
            
               $this->call('db:seed', [
                '--class' => $SeederName,            
               ]);
            }
            
            return $this->info('Operation completed successfully!');
        }

        return $this->info('Operation Cancelled');
    }
}
