<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Session;
use App\Models\Order;
use App\Models\Product;

class DashboardController extends Controller
{
    //
    public function index(Request $request){
        $user_connections = DB::table('user_connections')->selectRAW('ip, operative_system, user_agent, username, user_connections.created_at AS created_at')
                           ->leftjoin('users', 'user_id', 'user_connections.id')->get();
       
        if(Auth::user()->role_id == 2){
            return view('supervisor.dashboard');
        }
        if(Auth::user()->role_id == 3){
            $orders     = Order::where('cliente_id', Session::get('cliente_id'))->get();
            $products   = Product::all();
            $product = Product::first();
            return view('clients.dashboard', compact('orders', 'products', 'product'));
        }
        if(Auth::user()->role_id == 4){
            return view('delivery.dashboard');
        }

        return view('admin.dashboard', compact('user_connections'));
    }

    public function editProfile(){
        return view('admin.edit-profile');
    }
}
