<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;
use App\Models\User;
use App\Models\Cliente;
use App\Models\UserConnection;

class LoginController extends Controller
{
    //
    public function index(Request $request){
        return view('auth.login');
    }

    public function authenticate(Request $request){
        $credentials = $request->validate([
            'username' =>  'required',
            'password' =>  ['required'],
        ]);

        if (Auth::attempt($credentials)) {
            $request->session()->regenerate();
            $user        = User::where('username', $request->input('username'))->first();
            $role_id     = $user->role_id;
            $role_name   = $user->roles->nombre;
            $client      = Cliente::where('identificacion_codigo', $request->input('username'))->first();

            $request->session()->put('website', $request->url());
            $request->session()->put('username', $user->username);
            $request->session()->put('editar', $user->roles->actualizar);
            $request->session()->put('crear', $user->roles->crear);
            $request->session()->put('borrar', $user->roles->eliminar);
            $request->session()->put('configuracion', $user->roles->permisos_especiales);
            $request->session()->put('role_id', $role_id);
            $request->session()->put('role_name', $role_name);

            if($client != null){
                $request->session()->put('username', "{$client->nombres} {$client->apellidos}");
                $request->session()->put('cliente_id', $client->id);
            }

            // Registrar conexión del usuario
            $usercon                   = new UserConnection;
            $user_id                   = Auth::user()->id;
           
            $usercon->user_id          = $user_id;
            $usercon->ip               = $request->ip();
            $usercon->operative_system = $request->input('operative_system');
            $usercon->user_agent       = $request->input('user_agent');
            $usercon->save();

            $login_data = array("message" => "Login exitoso","url" => route('dashboard', ['user' => $request->input('username')]));

            return response($login_data, 200)->header('Content-Type', 'application/json');
        }

        return response("Esas credenciales no coinciden con ningun usuario autorizado", 403)
        ->header('Content-Type', 'application/json');
    }

    public function logout(Request $request){
        Auth::logout();
        $request->session()->invalidate();
        $request->session()->regenerateToken();
        return redirect()->route('home');  
    }
}
