<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Session;
use App\Models\Order;
use DB;

class OrderController extends Controller
{
    /**
     * Display a listing of the resource.
     */
    public function index()
    {
        // 
    }

    /**
     * Show the form for creating a new resource.
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     */
    public function store(Request $request)
    {
        //
        $order = new Order;
        $order->cliente_id = Session::get('cliente_id');

        if($order->save()){

            $new_order = Order::latest()->first();

            http_response_code(202);
            return json_encode($new_order);
        }

        return http_response_code(403);
    }

    public function createDetail($id, Request $request){
        $order             = Order::where('id', $id)->first();

       $created_row = DB::table('pedidos_detalles')->insert([
            'pedido_id'         => $id,
            'producto_id'       => $request->input('producto_id'),
            'cantidad'          => $request->input('cantidad'),
            'precio_unitario'   => $request->input('precio_unitario'),
            'precio'            => $request->input('cantidad') * $request->input('precio_unitario'),
            'status'            => '1',
            'created_at'        => date('Y-m-d H:i:s')
        ]);

        if($created_row){

            $last_order_detail = DB::table('pedidos_detalles')->latest()->first()->id + 1;

            Order::where('id', $id)->update([
                'status'      => '2',
                'updated_at'  => date('Y-m-d H:i:s'),
                'observacion' => 'En Proceso'
            ]);

            $detalle = DB::table('pedidos_detalles')->select('pedidos_detalles.id','pedidos_detalles.pedido_id','pedidos_detalles.producto_id','nombre','cantidad','pedidos_detalles.precio_unitario','pedidos_detalles.precio','pedidos_detalles.status')
                        ->leftjoin('productos', 'pedidos_detalles.producto_id', '=', 'productos.id')
                        ->where([
                            'pedido_id'                             => $id,
                            'pedidos_detalles.producto_id'          => $request->input('producto_id'),
                        ])->orderBy('pedidos_detalles.id', 'desc')->get();
            http_response_code(202);
            return json_encode($detalle);
        } 
            
        http_response_code(500);
    }

    /**
     * Display the specified resource.
     */
    public function show(string $id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     */
    public function edit(string $id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     */
    public function update(Request $request, string $id)
    {
        //
    }

    public function removeOrderDetail(string $id){
        $detail         = DB::table('pedidos_detalles')->where('id', '=', $id);
        $deleted_detail = DB::table('pedidos_detalles')->selectRAW('CONCAT(nombre," #", cantidad, " ",pedidos_detalles.precio_unitario) AS PRODUCTO, pedidos_detalles.precio AS PRECIO, pedidos_detalles.status AS status, pedidos_detalles.updated_at')
                        ->leftjoin('productos', 'pedidos_detalles.producto_id', '=', 'productos.id')
                        ->where('pedidos_detalles.id', $id)->get();

        http_response_code(200);
        return json_encode(["status" => "removed", "detail" => $deleted_detail]);
    }

    /**
     * Remove the specified resource from storage.
     */
    public function destroy(string $id)
    {
        //
    }
}
