<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Hash;
use Illuminate\Support\Facades\Mail;
use Illuminate\Support\Str;
use App\Models\User;   
use App\Models\Cliente;
use App\Mail\ResetPasswordMailer;

class ResetPasswordController extends Controller
{
    //
    public function sendToken(Request $request){
        $new_token  = Str::random(64);
        $user       = User::where('email', $request->input('email'));
        $cliente    = Cliente::where('email',$request->input('email'));

        $user->update(['email_token_verification' => $new_token]);
        if($user->first() != null){
            $mail_data = new ResetPasswordMailer('no-reply@oasisinversiones.com', 'Oasis Inversiones', 
            'Restablecer contraseña', 'soporte@oasisinversiones.com', array(
                'user'               => "{$user->first()->username}",
                'email'              => "{$cliente->first()->email}",
                'token_verificacion' => "{$new_token}"
            ));
    
            Mail::to($cliente->first()->email)->send($mail_data);
        }
        return response(200)->header('Content-Type', 'application/json');
    }

    public function changePassword($token, $email){

        $user = User::where('email_token_verification', $token)->first();

        if($user != null){
            return view('auth.change-password', compact('token', 'email', 'user'));    
        }

        return redirect()->route('login');
    }

    public function newPassword(Request $request){
        $request->validate([
            'password'            => 'required|min:8|max:20', 
            'confirm-password'    => 'required|same:password',
        ]);

        $user = User::where([
            'email'                    => $request->input('email'),
            'email_token_verification' => $request->input('email_token_verification'),
            'username'                 => $request->input('username'),
        ])->first();

        $user->password                 = $request->input('password');
        $user->email_token_verification = Str::random(64);

        if($user->save()){
            return redirect()->route('login');
        }

        return redirect()->back()->withErrors(['msg' => 'Error: No pudo realizarse el cambio']);
    }
}
