<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\Menu;
use App\Models\UserOptions;

class RoleOptionsController extends Controller
{
    /**
     * Display a listing of the resource.
     */
    public function index()
    {
        //
        $options = Menu::all();

        return view('admin.menu-options.index', compact('options'));
    }

    /**
     * Show the form for creating a new resource.
     */
    public function create($id)
    {
        //
        $options        = Menu::all();
        $user_options   = UserOptions::selectRaw(env('DB_PREFIX') . "menu_options_roles.id AS id,menu_id, nombre AS opcion, parent_id")
                            ->leftjoin('menu_options', 'menu_options.id', 'menu_id')
                            ->where('role_id', $id)->get(); 
        $user_option_id = $id;
        return view('admin.users.user-options', compact('options', 'user_options', 'user_option_id'));
    }

    /**
     * Store a newly created resource in storage.
     */
    public function store($id, Request $request)
    {
        //
        $option = UserOptions::where('role_id', $id)->get();

        foreach($request->post('opcion') as $opcion){
            
            $menu_id = $opcion;
            $role_id = $id;

            UserOptions::create([
                "menu_id" => $opcion,
                "role_id" => $id
            ]);
        }
        return redirect()->back();
    }

    /**
     * Display the specified resource.
     */
    public function show(string $id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     */
    public function edit(string $id, $menu_id = null)
    {
        //
        if($menu_id){
            return 'Eliminar';
        } else{
            $option  = Menu::findOrFail($id);
            $options = Menu::where('id', '<>', $id)->get();
            $niveles = array(
                ["id"   => 1, "nombre" => "Principal"],
                ["id"   => 2, "nombre" => "Secundario"]
            );
        }
        return view('admin.menu-options.edit', compact('option', 'options', 'niveles'));
    }

    /**
     * Update the specified resource in storage.
     */
    public function update(Request $request, string $id)
    {
        //
        $option = Menu::findOrFail($id);

        $option->update($request->all());
        
        return redirect()->route('options.index');
    }

    /**
     * Remove the specified resource from storage.
     */
    public function destroy(string $id)
    {
        //
    }
}
