<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\Role;

class RolesController extends Controller
{
    /**
     * Display a listing of the resource.
     */
    public function index()
    {
        //
        $roles = Role::all();
        return view('admin.roles.index', compact('roles'));
    }

    /**
     * Show the form for creating a new resource.
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     */
    public function store(Request $request)
    {
        //
        $role = new Role;
        $role->nombre = $request->input('nombre');
        $role->create = $request->input('create') == 'on' ? '1' : '0';
        $role->delete = $request->input('delete') == 'on' ? '1' : '0';
        $role->update = $request->input('update') == 'on' ? '1' : '0';
        $role->cierre_caja = $request->input('cierre_caja') == 'on' ? '1' : '0';
        $role->inventario  = $request->input('inventario') == 'on' ? '1' : '0';
        $role->permisos_especiales = $request->input('permisos_especiales') == 'on' ? '1' : '0';
        $role->status = $request->input('status');

        if($role->save())
            return http_response_code(202);
        else
            return http_response_code(403);
    }

    /**
     * Display the specified resource.
     */
    public function show(string $id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     */
    public function edit(string $id)
    {
        //
        $role = Role::findOrFail($id);
        return view('admin.roles.edit', compact('role'));
    }

    /**
     * Update the specified resource in storage.
     */
    public function update(Request $request, string $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     */
    public function destroy(string $id)
    {
        //
    }
}
