<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\Cliente;
use App\Models\User;
use App\Models\Role;
use Illuminate\Support\Facades\Hash;
use Illuminate\Support\Str;

class UserController extends Controller
{
    /**
     * Display a listing of the resource.
     */
    public function index()
    {
        //
        $users  = User::all();
        $roles  = Role::all();
        return view('admin.users.index', compact('users', 'roles'));
    }

    public function confirmUserEmail($token, $email){
 
        $user = User::where([
            'email' => $email,
        ])->first();

        if($user){
            $user->email_token_verification = Str::random(64);   
            $user->email_verified_at        = date('Y-m-d h:i:s');
    
            $user->save();
        }
        return redirect()->route('login');
    }

    /**
     * Show the form for creating a new resource.
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     */
    public function store(Request $request)
    {
        //
        if($request->input('action_type') == 'create_user'){

            $request->validate([
                'username'            => 'required|max:50',
               // 'email'               => 'required|email|unique:App\Models\User,email|max:100',
                'confirmar_password'  => 'required|same:password',
            ]);
    
            $user = new User;
            $user->role_id  = $request->input('role_id');
            $user->username = $request->input('username');
            $user->email    = $request->input('email');
            $user->password = Hash::make($request->input('password'));
        
            if($user->save()){
                return http_response_code(202);
            }
            
            return http_response_code(403);
        }

        if($request->input('action_type') == 'create_client'){
            $cliente                      = new Cliente;
            $cliente->nombres             = $request->input('nombres');
            $cliente->apellidos           = $request->input('apellidos');
            $cliente->cliente_tipo        = $request->input('cliente_tipo');
            $cliente->identificacion_tipo = $request->input('identificacion_tipo');
            $cliente->email               = $request->input('email');
            $cliente->codigo_area         = $request->input('codigo_area');
            $cliente->telefono            = $request->input('telefono');
            $cliente->direccion_principal = $request->input('direccion_principal');
            $cliente->entidad_federal     = $request->input('entidad_federal');
            $cliente->municipio           = $request->input('municipio');
            $cliente->parroquia           = $request->input('parroquia');
            $cliente->sector              = $request->input('sector');
            $cliente->latitude            = $request->input('latitude');
            $cliente->longitude           = $request->input('longitude');
            $cliente->status              = $request->input('status');


            if($cliente->save()){
                User::create($request->all());
                return redirect()->route('home');
            }
        }
    }

    /**
     * Display the specified resource.
     */
    public function show(string $id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     */
    public function edit(string $id)
    {
        //
        $user  = User::findOrFail($id);
        $roles = Role::all();
        return view('admin.users.edit', compact('user', 'roles'));
    }

    /**
     * Update the specified resource in storage.
     */
    public function update(Request $request, string $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     */
    public function destroy(string $id)
    {
        //
    }
}
