<?php

namespace App\Http\Middleware;

use Closure;
use Illuminate\Http\Request;
use Symfony\Component\HttpFoundation\Response;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Schema;
use Illuminate\Support\Facades\Session;
use Illuminate\Support\Facades\View;
use App\Models\UserOptions;

class ShareDataWithViews
{
    /**
     * Handle an incoming request.
     *
     * @param  \Closure(\Illuminate\Http\Request): (\Symfony\Component\HttpFoundation\Response)  $next
     */
    public function handle(Request $request, Closure $next): Response
    {
        if(!DB::connection()->getDatabaseName()){
            return false;
        }

        if(Schema::hasTable('menu_options')){

            $menu_first_level = UserOptions::selectRaw("url,nombre, menu_id AS id, icon, parent_id, nivel, orden")
                                ->join('menu_options', 'menu_id', 'menu_options.id')
                                ->where('role_id', '=', Session::get('role_id'))
                                ->where('nivel', '=', '1')
                                ->orderBy('orden')->get(); 

            $menu_second_level = UserOptions::selectRaw("url,nombre, menu_id AS id, icon, parent_id, nivel, orden")
                                    ->join('menu_options', 'menu_id', 'menu_options.id')
                                    ->where('role_id', '=', Session::get('role_id'))
                                    ->where('nivel', '=', '2')
                                    ->orderBy('orden')->get(); 
            
            View::share('menu_first_level', $menu_first_level);
            View::share('menu_second_level', $menu_second_level);
        }
        
        return $next($request);
    }
}
