<?php

namespace App\Providers;

use Illuminate\Support\ServiceProvider;
use Illuminate\Support\Facades\View;

class AppServiceProvider extends ServiceProvider
{
    /**
     * Register any application services.
     */
    public function register(): void
    {
        //
    }

    /**
     * Bootstrap any application services.
     */
    public function boot(): void
    {
        //
        if(config('app.env') === 'production') {
            \URL::forceScheme('https');
        }

        $currencies = array(
            ['id' => 'USD', 'nombre' => 'El dólar estadounidense (USD)'],
            ['id' => 'BS', 'nombre' => 'Bolivares'],
            ['id' => 'EUR', 'nombre' => 'Euro']
        );
     
        $statuses = array(
            ['id' => '1', 'nombre' => 'Activo'],
            ['id' => '2', 'nombre' => 'Desactivado'],
            ['id' => '3', 'nombre' => 'Eliminado']
        );

        View::share('currencies', $currencies);
        View::share('statuses', $statuses);
    }
}
