<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('clientes', function (Blueprint $table) {
            $table->id();
            $table->string("nombres");
            $table->string("apellidos");
            $table->char("cliente_tipo", 1);
            $table->string("identificacion_tipo");
            $table->string("identificacion_codigo");
            $table->string('email')->unique();
            $table->string("codigo_area");
            $table->string("telefono");
            $table->string("direccion_principal")->nullable();
            $table->string("entidad_federal")->nullable();
            $table->string("municipio")->nullable();
            $table->string("parroquia")->nullable();
            $table->string("sector")->nullable();
            $table->string("latitude")->nullable();
            $table->string("longitude")->nullable();
            $table->char("status", 2)->default();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('clientes');
    }
};
