<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('clientes_pedidos', function (Blueprint $table) {
            $table->id();
            $table->bigInteger('cliente_id')->index()->unsigned();
            $table->bigInteger('supervisor_id')->nullable()->index()->unsigned();
            $table->bigInteger('sucursal_id')->index()->unsigned();
            $table->ipAddress('cliente_ip')->nullable();
            $table->float('monto', 16, 2)->nullable();
            $table->float('monto_intercambio', 16, 2)->nullable();
            $table->string('propina_moneda', 10)->nullable();
            $table->float('propina_bs', 16, 2)->nullable();
            $table->float('propina_usd', 16, 2)->nullable();
            $table->float('total_pagos_usd', 16, 2)->nullable();
            $table->float('total_pagos_bs', 16, 2)->nullable();
            $table->date('fecha')->nullable();
            $table->char('status', '1')->default('1');
            $table->text('observacion')->nullable();
            $table->timestamps();

            $table->foreign('cliente_id')->references('id')->on('clientes')->onDelete('restrict')->onUpdate('restrict');
            $table->foreign('supervisor_id')->references('id')->on('empleados')->onDelete('restrict')->onUpdate('restrict');
            $table->foreign('sucursal_id')->references('id')->on('sucursales')->onDelete('restrict')->onUpdate('restrict');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('clientes_pedidos');
    }
};
