<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('pedidos_detalles', function (Blueprint $table) {
            $table->id();
            $table->bigInteger('pedido_id')->index()->unsigned();
            $table->bigInteger('producto_id')->index()->unsigned();
            $table->integer('cantidad');
            $table->decimal('precio', 16, 2);
            $table->decimal('precio_unitario', 16, 2);
            $table->text('observacion')->nullable();
            $table->char('status', 1);
            $table->timestamps();

            $table->foreign('pedido_id')->references('id')->on('clientes_pedidos')->onDelete('restrict')->onUpdate('restrict');
            $table->foreign('producto_id')->references('id')->on('productos')->onDelete('restrict')->onUpdate('restrict');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('pedidos_detalles');
    }
};
