<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('productos', function (Blueprint $table) {
            $table->id();
            $table->bigInteger('category_id')->index()->unsigned();
            $table->string('nombre');
            $table->string('nombre_corto')->nullable();
            $table->text('descripcion')->nullable();
            $table->text('marca')->nullable();
            $table->decimal('precio_unitario', 16, 2)->nullable();
            $table->text('imagen')->nullable();
            $table->text('codigo_barra')->nullable();
            $table->text('codigo_qr')->nullable(); 
            $table->timestamps();


        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('productos');
    }
};
