<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('pedidos_pagos', function (Blueprint $table) {
            $table->id();
            $table->bigInteger('cliente_id')->index()->unsigned();
            $table->bigInteger('pedido_id')->nullable()->index()->unsigned();
            $table->bigInteger('metodo_pago_id')->nullable()->index()->unsigned();
            $table->string('moneda');

            $table->foreign('cliente_id')->references('id')->on('clientes')->onDelete('restrict')->onUpdate('restrict');
            $table->foreign('pedido_id')->references('id')->on('clientes_pedidos')->onDelete('restrict')->onUpdate('restrict');
            $table->foreign('metodo_pago_id')->references('id')->on('metodos_pagos')->onDelete('restrict')->onUpdate('restrict');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('pedidos_pagos');
    }
};
