<?php

namespace Database\Seeders;

use Illuminate\Database\Seeder;
use Illuminate\Support\Facades\DB;

class MenuSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        //
        $menu_options = [
            ["id" => 1,"nombre"  => "Dashboard", "url" => "/dashboard", "nivel" => 1, "parent_id" => null, "orden" => 1, "status" => "1"],
            ["id" => 2,"nombre"  => "Perfil de Usuario", "url" => "/dashboard/personal", "nivel" => 1, "parent_id" => null, "orden" => 1, "status" => "1"],
            ["id" => 3,"nombre"  => "Empresa", "url" => "#", "nivel" => 1, "parent_id" => null, "orden" => 2, "status" => "1"],
            ["id" => 4,"nombre"  => "Inventario", "url" => "/dashboard/inventario", "nivel" => 1, "parent_id" => null, "orden" => 4, "status" => "1"],
            ["id" => 5,"nombre" => "Clientes", "url" => "/dashboard/clientes", "nivel" => 1, "parent_id" => null, "orden" => 5, "status" => "1"],
            ["id" => 6,"nombre" => "Contabilidad", "url" => "#", "nivel" => 1, "parent_id" => null, "orden" => 6, "status" => "1"],
            ["id" => 7,"nombre" => "Bancos", "url" => "/dashboard/configuracion/bancos", "nivel" => 2, "parent_id" => 6, "orden" => 1, "status" => "1"],
            ["id" => 8,"nombre" => "Tasas de Cambio", "url" => "/dashboard/configuracion/tasas-cambio", "nivel" => 2, "parent_id" => 6, "orden" => 2, "status" => "1"],
            ["id" => 9,"nombre" => "Metodos de Pago", "url" => "/dashboard/configuracion/metodos-pago", "nivel" => 2, "parent_id" => 6, "orden" => 3, "status" => "1"],
            ["id" => 10,"nombre" => "Cuentas de Banco", "url" => "/dashboard/configuracion/cuentas-banco", "nivel" => 2, "parent_id" => 6, "orden" => 4, "status" => "1"],
            ["id" => 11,"nombre" => "Apertura/Cierre de Caja", "url" => "/dashboard/configuracion/caja", "nivel" => 2, "parent_id" => 6, "orden" => 5, "status" => "1"],
            ["id" => 12,"nombre" => "Configuración del Sistema", "url" => "#", "nivel" => 1, "parent_id" => null, "orden" => 12, "status" => "1"],
            ["id" => 13,"nombre" => "Editar", "url" => "/dashboard/settings", "nivel" => 2, "parent_id" => 12, "orden" => 1, "status" => "1"],
            ["id" => 14,"nombre" => "Roles", "url" => "/dashboard/roles", "nivel" => 2, "parent_id" => 12, "orden" => 2, "status" => "1"],
            ["id" => 15,"nombre" => "Usuarios", "url" => "/dashboard/usuarios", "nivel" => 2, "parent_id" => 12, "orden" => 3, "status" => "1"],
            ["id" => 16,"nombre" => "Opciones del Menu", "url" => "/dashboard/opciones", "nivel" => 2, "parent_id" => 12, "orden" => 4, "status" => "1"],
            ["id" => 17,"nombre" => "Cerrar Sesión", "url" => "/dashboard/logout", "nivel" => 1, "parent_id" => null, "orden" => 17, "status" => "1"],
        ];

        foreach ($menu_options as $option) {
            DB::table('menu_options')->where('id', $option['id'])->delete();
            DB::table('menu_options')->insert([
                'id'        => $option['id'],
                'nombre'    => $option['nombre'],
                'url'       => $option['url'],
                'nivel'     => $option['nivel'],
                'orden'     => $option['orden'],
                'parent_id' => $option['parent_id'],
                'status'    => $option['status'],
            ]);
        }
    }
}
