<?php

namespace Database\Seeders;

use Illuminate\Database\Console\Seeds\WithoutModelEvents;
use Illuminate\Database\Seeder;
use Illuminate\Support\Facades\DB;

class RoleSeeder extends Seeder
{
    /**
     * Run the database seeds.
     */
    public function run(): void
    {
        //
        $roles = [
            ["nombre" => "Admin", "crear" => "1", "actualizar" => "1", "eliminar" => "1", "permisos_especiales" => "1", "status" => "1"],
            ["nombre" => "Supervisor", "crear" => "1", "actualizar" => "1", "eliminar" => "1", "permisos_especiales" => "0", "status" => "1"],
            ["nombre" => "Cliente", "crear" => "1", "actualizar" => "1", "eliminar" => "0", "permisos_especiales" => "0", "status" => "1"],
            ["nombre" => "Delivery", "crear" => "0", "actualizar" => "1", "eliminar" => "0", "permisos_especiales" => "0", "status" => "1"],
        ];

        foreach ($roles as $role) {
            DB::table('roles')->where('nombre', $role['nombre'])->delete();
            DB::table('roles')->insert([
                'nombre'                => $role['nombre'],
                'crear'                 => $role['crear'],
                'actualizar'            => $role['actualizar'],
                'eliminar'              => $role['eliminar'],
                'permisos_especiales'   => $role['permisos_especiales'],
                'status'                => $role['status']
            ]);
        }
    }
}
