<?php

namespace Database\Seeders;

use Illuminate\Database\Console\Seeds\WithoutModelEvents;
use Illuminate\Database\Seeder;
use Illuminate\Support\Facades\Hash;
use Illuminate\Support\Facades\DB;

class UserSeeder extends Seeder
{
    /**
     * Run the database seeds.
     */
    public function run(): void
    {
        //
        $adminUsers = [
            ["username" => env('ADMIN_ONE_USERNAME'), "password" => env('ADMIN_ONE_PWD'), "email" => env('ADMIN_ONE_EMAIL'), "role_id" => 1],
        ];

        foreach ($adminUsers as $user) {
            if ($user["username"] != null && $user["password"] != null) {
                DB::table('password_reset_tokens')->where('email', $user['email'])->delete();
                DB::table('users')->where('email', $user['email'])->orWhere('username', $user['username'])->delete();
                DB::table('users')->insert([
                    'role_id'  => $user['role_id'],
                    'username' => $user['username'],
                    'email'    => $user['email'],
                    'password' => Hash::make($user['password']),
                ]);
            }
        }
    }
}
