import { notifications } from "../../components/notifications";
import svgToHTMLNode from "../../utils/SVGToHTML";

function createCategory(token, nombre, containers, fn) {
    const url = `${document.location.origin}/dashboard/categorias`;

    let formData = new FormData();

    formData.append("_method", "POST");
    formData.append("_token", token);
    formData.append("action", "create");
    formData.append("nombre", nombre);
    formData.append("status", "1");

    fetch(url, {
        method: "POST",
        body: formData,
    })
        .then((response) => {
            if (response.ok) {
                return response.json();
            }
        })
        .then((response) => {
            notifications.init("Categoria creada").success();
            const article = document.createElement("article");
            const button = document.createElement("button");
            const deleteIcon = svgToHTMLNode(
                '<svg style="pointer-events:none" xmlns="http://www.w3.org/2000/svg" height="24" viewBox="0 -960 960 960" width="24"><path d="M280-120q-33 0-56.5-23.5T200-200v-520h-40v-80h200v-40h240v40h200v80h-40v520q0 33-23.5 56.5T680-120H280Zm400-600H280v520h400v-520ZM360-280h80v-360h-80v360Zm160 0h80v-360h-80v360ZM280-720v520-520Z"/></svg>'
            );

            article.classList.add("content-item");
            button.appendChild(deleteIcon);
            button.setAttribute("data-id", response["id"]);
            button.setAttribute("data-confirm", "delete");
            button.classList.add("delete-resource");
            button.setAttribute(
                "data-url",
                `${document.location.origin}/dashboard/categorias/${response["id"]}`
            );

            for (let index in response) {
                const p = document.createElement("p");
                let column = response[index];

                if (index == "id") {
                    p.textContent = response["id"];
                    article.setAttribute("data-id", response["id"]);
                    article.appendChild(p);
                }

                if (index == "nombre") {
                    p.textContent = response["nombre"].toUpperCase();
                    article.setAttribute("data-key", response["nombre"]);
                    article.appendChild(p);
                }

                article.appendChild(button);
            }

            containers.forEach((container) => {
                container.appendChild(article);
            });

            fn();
        });
}

export default createCategory;
