import { notifications } from "../../components/notifications";
import createOrderDetail from "./createOrderDetail";

function createOrder(product, container, token, fn = null) {
    const url = `${document.location.origin}/dashboard/pedidos`;
    const data = new FormData();

    let orderCreated = false;

    data.append("_method", "POST");
    data.append("_token", token);

    fetch(url, {
        method: "POST",
        body: data,
    })
        .then((res) => {
            if (res.ok) {
                notifications.init("Pedido creado exitosamente").success();
                return res.json();
            }
            notifications.init("Pedido no creado").error();
            throw new Error("Error: Pedido no creado");
        })
        .then((data) => {
            orderCreated = true;
            if (createOrderDetail(data.id, product, container, token)) {
                fn(data.id);
            }
        });

    return orderCreated;
}

export default createOrder;
