import { notifications } from "../../components/notifications";

const icon =
    '<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 48 48" width="48px" height="48px"><linearGradient id="HoiJCu43QtshzIrYCxOfCa" x1="21.241" x2="3.541" y1="39.241" y2="21.541" gradientUnits="userSpaceOnUse"><stop offset=".108" stop-color="#0d7044"/><stop offset=".433" stop-color="#11945a"/></linearGradient><path fill="url(#HoiJCu43QtshzIrYCxOfCa)" d="M16.599,41.42L1.58,26.401c-0.774-0.774-0.774-2.028,0-2.802l4.019-4.019 c0.774-0.774,2.028-0.774,2.802,0L23.42,34.599c0.774,0.774,0.774,2.028,0,2.802l-4.019,4.019 C18.627,42.193,17.373,42.193,16.599,41.42z"/><linearGradient id="HoiJCu43QtshzIrYCxOfCb" x1="-15.77" x2="26.403" y1="43.228" y2="43.228" gradientTransform="rotate(134.999 21.287 38.873)" gradientUnits="userSpaceOnUse"><stop offset="0" stop-color="#2ac782"/><stop offset="1" stop-color="#21b876"/></linearGradient><path fill="url(#HoiJCu43QtshzIrYCxOfCb)" d="M12.58,34.599L39.599,7.58c0.774-0.774,2.028-0.774,2.802,0l4.019,4.019 c0.774,0.774,0.774,2.028,0,2.802L19.401,41.42c-0.774,0.774-2.028,0.774-2.802,0l-4.019-4.019 C11.807,36.627,11.807,35.373,12.58,34.599z"/></svg>';

function createOrderDetail(order_id, detail, container, token) {
    const url = `${document.location.origin}/dashboard/pedido/${order_id}/detail/create`;

    let data = new FormData();
    data.append("_method", "POST");
    data.append("_token", token);
    data.append("action", "create");

    for (let key in detail) {
        data.append(key, detail[key]);
    }

    fetch(url, {
        method: "POST",
        headers: {
            "X-CSRF-TOKEN": token,
        },
        body: data,
    })
        .then((response) => response.json())
        .then(function (response) {
            for (let index in response) {
                let detail = response[index];

                generateAndAppendOrderDetailHTML(
                    container,
                    detail.pedido_id,
                    detail.id,
                    detail.nombre,
                    detail.cantidad,
                    detail.precio_unitario,
                    detail.precio
                );
            }
            notifications.init(`Añadido ${icon}`).success();
            return true;
        })
        .catch(function (err) {
            notifications.init("Error: No se pudo agregar").error();
            console.log(err);
        });
}

export default createOrderDetail;

function generateAndAppendOrderDetailHTML(
    container,
    order_id,
    id,
    name,
    qty,
    unitPrice,
    price
) {
    const icon = `<svg data-id="${id}" class="delete-detail" xmlns="http://www.w3.org/2000/svg" width="27" height="29" viewBox="0 0 27 29" fill="none">
                    <rect width="33.714" height="5.10432" rx="1.47864" transform="matrix(0.685673 0.72791 -0.760625 0.649191 3.88324 0.701477)" fill="#fd1414"></rect>
                    <rect width="33.714" height="5.10432" rx="1.47864" transform="matrix(0.685673 -0.72791 0.760625 0.649191 0 25.1765)" fill="#fd1414"></rect>
                </svg>`;

    const html = `
      <article class="flex order-detail" data-id="${order_id}">
        <div class="order-detail-image">
          <img class="detail-img" src="/images/botellon_agua.png" alt="">
        </div>
        <div class="order-detail-body">
          <h3>${name}</h3>
          <p>Precio Unitario: ${unitPrice}</p>
          <p>Cantidad: ${qty}</p>
          <p>Sub Total: ${price}</p>
        </div>
        ${icon}
      </article>
    `;

    container.insertAdjacentHTML("beforeend", html);
}
