import { notifications } from "../../components/notifications";

function deleteOrderDetail(id, detail_id, element, token) {
    const url = `${document.location.origin}/dashboard/pedido/${id}/detail/${detail_id}/destroy`;

    let formData = new FormData();
    formData.append("_method", "DELETE");
    formData.append("_token", token);
    formData.append("id", id);

    fetch(url, {
        method: "POST",
        headers: {
            "X-CSRF-TOKEN": token,
        },
        body: formData,
    })
        .then((response) => {
            if (!response.ok) {
                notifications.init("Error: Producto no eliminado").error();
                return false;
            }
            return response.json();
        })
        .then((response) => {
            if (response.status === "removed") {
                // let totalOrder = parseFloat(
                //     document.querySelector("#totalOrder").textContent
                // );

                element.remove();
                notifications.init("Producto Eliminado").success();
                // totalOrder = `${
                //     parseFloat(totalOrder) -
                //     parseFloat(response.detail[0].PRECIO)
                // }`;

                // document.querySelector(
                //     "#totalOrder"
                // ).textContent = `${totalOrder}$`;

                // OrderInfo.price = totalOrder;

                return true;
            }
            return false;
        })
        .catch((error) => {
            console.log(error);
            return false;
        });
}

export default deleteOrderDetail;
