import removeContent from "../../utils/removeContent";

function getPaymentsMethod(container) {
    let url = `${document.location.origin}/dashboard/configuracion/metodos-pago?mime=json`;

    fetch(url)
        .then((response) => {
            if (response.ok) {
                return response.json();
            }
        })
        .then((response) => {
            removeContent(".payments-list");
            for (let index in response) {
                let row = response[index];

                let li = document.createElement("li");
                li.classList.add("custom-list-item", "metodo");
                li.setAttribute("data-id", response[index].id);
                li.setAttribute("data-key", response[index].nombre);
                li.setAttribute("data-value", response[index].nombre);
                li.setAttribute("data-exchange", response[index].tasa);
                li.setAttribute("data-type", response[index].tipo_pago);
                li.setAttribute("data-currency", response[index].moneda);
                li.textContent = `${response[index].nombre} (${response[index].moneda})`;
                container.appendChild(li);
            }
        });
}

export default getPaymentsMethod;
