function getProducts(container) {
    const url = `${document.location.origin}/dashboard/productos`;
    fetch(url)
        .then((res) => {
            if (res.ok) {
                return res.json();
            }
        })
        .then((data) => {
            while (container.firstChild) {
                container.firstChild.remove();
            }

            for (let index in data) {
                addContent(
                    container,
                    data[index].nombre,
                    data[index].id,
                    JSON.stringify(data[index])
                );
            }
        });
}

function addContent(container, nombre, id, data) {
    let li = document.createElement("li");

    li.classList.add("custom-list-item", "product");
    li.setAttribute("data-id", id);
    li.setAttribute("data-value", nombre);
    li.setAttribute("data-json", data);
    li.setAttribute("data-key", nombre);
    li.textContent = nombre.toUpperCase();

    container.appendChild(li);
}

export default getProducts;
