import { notifications } from "../components/notifications";

function signUp(form, fn) {
    const formData = new FormData(form);

    for (const pair of formData.entries()) {
        if (pair[0] == "latitude") {
            formData.set("latitude", localStorage.getItem("latitude"));
        }

        if (pair[0] == "longitude") {
            formData.set("longitude", localStorage.getItem("longitude"));
        }

        if (pair[0] == "direccion_principal") {
            formData.set("address", localStorage.getItem("address"));
        }
    }

    fetch(form.action, {
        method: "POST",
        body: formData,
    })
        .then((res) => {
            if (res.ok) {
                return res.json();
            }

            res.json().then((data) => {
                return notifications.init(`Error: ${data}`).error();
            });
            throw new Error("Error");
        })
        .then((data) => {
            notifications.init("Registro realizado con exito").success();
            return fn();
        })
        .catch((e) => console.log("error"));
}

export default signUp;
