import { notifications } from "./notifications";

let buttonAdd = document.querySelectorAll(".button-add");
let form = document.querySelector(".form");

if (buttonAdd.length > 0) {
    let containerPos = document.querySelector(".container-pos");
    let closeIcon = containerPos.querySelector(".close-icon");

    buttonAdd.forEach(function (button) {
        button.addEventListener("click", function (e) {
            e.preventDefault();
            containerPos.classList.add("show");
            document.body.classList.add("overflow-hidden");
        });
    });

    closeIcon.addEventListener("click", function () {
        containerPos.classList.remove("show");
        document.body.classList.remove("overflow-hidden");
    });
}

if (form != undefined) {
    form.addEventListener("submit", function (e) {
        e.preventDefault();
        let formData = new FormData(form);
        let token = form.querySelector('[name="_token"]');

        fetch(form.action, {
            method: "POST",
            body: formData,
            headers: {
                "X-CSRF-TOKEN": token.value,
            },
        })
            .then(function (response) {
                if (response.ok) {
                    let containerPos = document.querySelector(".container-pos");
                    notifications.init("Informacion guardada").success();

                    if (containerPos != undefined) {
                        containerPos.classList.remove("show");
                        document.body.classList.remove("overflow-hidden");
                        return setTimeout(function () {
                            document.location.reload();
                        }, 1000);
                    }

                    return setTimeout(function () {
                        history.go(-1);
                    }, 1000);
                } else {
                    notifications
                        .init("Error! No se pudo salvar la información")
                        .error();
                }
            })
            .catch(function (e) {
                console.log(e);
            });
    });
}
