const notifications = {};

notifications.init = function (text) {
    const notificationElement = document.querySelector("[data-notification]");
    notificationElement.innerHTML = text;

    function showNotification(className) {
        notificationElement.classList.add(className);
        setTimeout(() => {
            notificationElement.classList.remove(className);
        }, 1500);
    }

    return {
        success: () => showNotification("success"),
        error: () => showNotification("error"),
    };
};

export { notifications };
