import { notifications } from "../components/notifications";
import getReverseLocation from "./getReverseLocation";

function getLocation(fn) {
    let value = "Sin valor";
    if (navigator.geolocation) {
        return navigator.geolocation.getCurrentPosition((position) => {
            if (fn == "latitude") {
                value = position.coords.latitude;
                localStorage.setItem("latitude", value);
            }

            if (fn == "longitude") {
                value = position.coords.longitude;
                localStorage.setItem("longitude", value);
            }

            if (fn == "address") {
                value = getReverseLocation(
                    position.coords.latitude,
                    position.coords.longitude
                );
            }
            return value;
        });
    } else {
        notifications
            .init("Geolocation is not supported by this browser.")
            .error();
    }
}

export default getLocation;
