@extends('admin.template')

@section('content')
    <h1 class="text-2xl text-center my-4">Lista de Clientes</h1>
    <table class="table w-full bg-white rounded-xl">
        <thead class="table-heading text-white px-2 py-2">
          <tr>
            <td class="px-2 py-2">ID</td>
            <td class="px-2 py-2">Cliente</td>
            <td class="px-2 py-2">Cedula</td>
            <td class="px-2 py-2">Email</td>
            <td class="px-2 py-2">Eliminar</td>
          </tr>
        </thead>
        @foreach($clients as $client)
            <tbody>
                <tr>
                    <td class="px-2 py-2">{{ $client->id }}</td>
                    <td class="px-2 py-2"><a class="text-sky-600 font-bold" href="{{ route('clients.edit', $client->id) }}">{{ $client->nombres }} {{ $client->apellidos }}</a></td>
                    <td class="px-2 py-2">{{ $client->identificacion_tipo }}-{{ $client->identificacion_codigo }}</td>
                    <td class="px-2 py-2">{{ $client->email }}</td>
                    <td class="px-2 py-2"><button class="delete-resource" data-id="{{ $client->id }}" data-confirm="delete" data-url="{{ route('clients.destroy', $client->id) }}" type="button"><svg style='pointer-events:none' xmlns="http://www.w3.org/2000/svg" height="24" viewBox="0 -960 960 960" width="24"><path d="M280-120q-33 0-56.5-23.5T200-200v-520h-40v-80h200v-40h240v40h200v80h-40v520q0 33-23.5 56.5T680-120H280Zm400-600H280v520h400v-520ZM360-280h80v-360h-80v360Zm160 0h80v-360h-80v360ZM280-720v520-520Z"/></svg></button></td>
                </tr>
            </tbody>
        @endforeach

        @if($clients->count() == 0)
            <tr>
                <td class="px-2 py-2">No hay registros</td>
            </tr>
        @endif
    </table>
@endsection