
@extends('admin.template')

@section('content')
    <div class="form-search flex flex-wrap flex-col">
        <input type="search" class="form-control" name="_s" id="" placeholder="Buscar en la App (ctrl + k)">
    </div>

    <section class="app-insights">
        <article class="insight">
            <p class="insight-header">Total Ventas</p>   
            <span class="material-symbols-outlined lg">
                finance_mode
            </span>
            <p> {{ $total_sales ?? '0' }}</p> 
        </article>
        <article class="insight">
            <p class="insight-header">Total Usuarios</p>
            <span class="material-symbols-outlined lg">
                group
            </span>
            <p>{{ $total_users ?? '0' }}</p>
        </article>
        <article class="insight">
            <p class="insight-header">Total Pedidos</p>
            <span class="material-symbols-outlined lg">
                checkbook
            </span>
            <p>{{ $total_orders ?? '0' }}</p>
        </article>
    </section>

    <section class="app-charts">
        <article class="chart" data-chart="pie-chart"></article>
        <article class="chart" data-chart="pie-chart"></article>
        <article class="chart" data-chart="pie-chart"></article>
    </section>

    <section class="app-guess">
        <table class="table table-md center">
            <thead class="table-heading">
                <tr>
                    <th>IP</th>
                    <th>Navegador</th>
                    <th>Sistema Operativo</th>
                    <th>Visitante</th>
                    <th>Fecha y Hora</th>
                </tr>
            </thead>
            <tbody>
                @foreach($user_connections as $usercon)
                    <tr>
                        <th>{{ $usercon->ip ?? '' }}</th>
                        <th>{{ $usercon->user_agent ?? '' }}</th>
                        <th>{{ $usercon->operative_system ?? '' }}</th>
                        <th>{{ $usercon->username ?? 'Visitante' }}</th>
                        <th>{{ $usercon->created_at }}</th>
                    </tr>
                @endforeach
            </tbody>
        </table>
    </section>
    
@endsection