
@extends('admin.template')

@section('content')
<h1 class="text-2xl text-center my-4">Información del Usuario</h1>
    <form class="form-md form center shadow-lg px-4 py-4 mx-auto rounded-lg bg-zinc-50" action="{{ route('users.store') }}" method="POST">
        @method('POST')
        @csrf

        @if ($errors->any())
        <div class="alert alert-danger">
            @foreach ($errors->all() as $error)
            <span>{{ $error }}</span>
            @endforeach
        </div>
        @endif

        <div class="form-field">
            <label for="">Nombre de Usuario</label>
            <input class="form-input w-full block my-4" type="text" name="username" required placeholder="Campo requerido, sin espacios.">
        </div>

        <div class="form-field">
            <label for="">Contraseña</label>
            <input class="form-input w-full block my-4" type="password" name="password" autocomplete="new-password" placeholder="Campo requerido" required>
        </div>

        <div class="form-field">
            <label for="">Confirma tu Contraseña</label>
            <input class="form-input w-full block my-4" type="password" name="confirmar_password" autocomplete="new-password" placeholder="Campo requerido" required>
        </div>

        <div>
            <p>Minimo 8 carácteres</p>
            <p>Uso de Mayúsculas y minúsculas</p>
        </div>

        <div class="form-field">
            <label for="">Email</label>
            <input class="form-input w-full block my-4" type="email" name="email" placeholder="Campo requerido">
        </div>

        <button type="submit" class="px-4 py-2 w-full block my-4 font-semibold text-sm bg-emerald-600 text-white rounded-full shadow-sm">Guardar</button>
    </form>
@endsection