
@extends('admin.template')
@section('content')  
    <h1 class="text-2xl text-center my-4">Editar Opción</h1>
    <form class="form-md center shadow-lg px-4 py-4 mx-auto rounded-lg bg-zinc-50" action="{{ route('options.update', $option->id) }}" method="POST">
        @method('PATCH')
        @csrf

        @if ($errors->any())
        <div class="alert alert-danger">
            @foreach ($errors->all() as $error)
            <span>{{ $error }}</span>
            @endforeach
        </div>
        @endif

        <div class="form-field">
            <label for="">Opción</label>
            <input class="form-input w-full block my-4" value="{{ $option->nombre ?? '' }}" type="text" name="nombre" required>
        </div>
    
        <div class="form-field">
            <label for="">Icono</label>
            <input class="form-input w-full block my-4" value="{{ $option->icono ?? '' }}" type="text" name="icon">
        </div>

        <div class="form-field">
            <label for="">Orden</label>
            <input class="form-input w-full block my-4" value="{{ $option->orden ?? '' }}" type="text" name="orden">
        </div>

        <div class="form-field">
            <label for="">Nivel</label>
            <select class="custom-select" name="nivel" required>
                <option value="">Seleccionar Valor</option>
                @foreach($niveles as $nivel)
                    <option value="{{ $nivel['id'] }}" {{ $nivel["id"] == $option->nivel ? 'selected' : '' }}>{{ $nivel['nombre'] }}</option>
                @endforeach
            </select>
        </div>
     
        <div class="form-field">
            <label for="">Opción Principal</label>
            <select class="custom-select" name="parent_id">
                <option value="">Seleccionar Valor</option>
                @foreach($options as $option_item)
                    <option value="{{ $option_item['id'] }}" {{ $option_item["id"] == $option->parent_id ? 'selected' : '' }}>{{ $option_item['nombre'] }}</option>
                @endforeach
            </select>
        </div>

        <div class="form-field">
            <label for="">Requiere Autenticacion</label>
            <input type="checkbox" name="authenticate" id="" {{ $option->authenticate == '1' ? 'checked' : '' }}>
        </div>

        <div class="form-field">
            <label for="">Estatus</label>
            <select class="custom-select" name="status" id="" required>
                @foreach($statuses as $status)
                <option value="{{ $status['id'] }}" {{ $status["id"] == $option->status ? 'selected' : '' }}>{{ $status['nombre'] }}</option>
                @endforeach
            </select>
        </div>

        <input type="hidden" name="url" value="{{ $option->url }}">

        <button type="submit" class="btn">Guardar</button>
    </form>
@endsection