@extends('admin.template')

@section('content')
    <h1 class="text-2xl text-center my-4">Lista de Opciones</h1>
    <table class="table w-full bg-white rounded-xl">
        <thead class="table-heading text-white px-2 py-2">
          <tr>
            <td class="px-2 py-2">ID</td>
            <td class="px-2 py-2">Opción</td>
            <td class="px-2 py-2">Icono</td>
            <td class="px-2 py-2">Nivel</td>
            <td class="px-2 py-2">Orden</td>
            <td class="px-2 py-2">Requiere Autenticar</td>
            <td class="px-2 py-2">Estatus</td>
          </tr>
        </thead>
        @foreach($options as $option)
            <tbody>
                <tr>
                    <td class="px-2 py-2">{{ $option->id }}</td>
                    <td class="px-2 py-2"><a class="text-sky-600 font-bold" href="{{ route('options.edit', $option->id) }}">{{ $option->nombre }}</a></td>
                    <td class="px-2 py-2">{!! $option->icon ? "<span class='material-symbols-outlined'>$option->icon</span>" : "" !!}</td>
                    <td class="px-2 py-2">{{ $option->nivel }}</td>
                    <td class="px-2 py-2">{{ $option->orden }}</td>
                    <td class="px-2 py-2">{{ $option->authenticate  == '1' ? 'Si': 'No' }}</td>
                    <td class="px-2 py-2">{{ $option->status == '1' ? 'Activo' : 'Inactivo' }}</td>
                </tr>
            </tbody>
        @endforeach

        @if($options->count() == 0)
            <tr>
                <td colspan="8" class="px-2 py-2">No hay registros</td>
            </tr>
        @endif
    </table>
@endsection