<div class="container-pos">
    <svg class="close-icon" xmlns="http://www.w3.org/2000/svg" height="24" viewBox="0 -960 960 960" width="24"><path d="m313-440 224 224-57 56-320-320 320-320 57 56-224 224h487v80H313Z"/></svg>
    <h1 class="text-2xl text-center my-4">Crear Rol</h1>
    <form class="form-md form center shadow-lg px-4 py-4 mx-auto rounded-lg bg-zinc-50" action="{{ route('roles.store') }}" method="POST">
        @method('POST')
        @csrf

        @if ($errors->any())
        <div class="alert alert-danger">
            @foreach ($errors->all() as $error)
            <span>{{ $error }}</span>
            @endforeach
        </div>
        @endif

        <div class="form-field">
            <label for="">Nombre del Rol</label>
            <input class="form-input w-full block my-4" type="nombre" name="nombre" placeholder="Campo requerido, sin espacios." required>
        </div>
       
        <div class="form-field">
            <label for="">Crear</label>
            <input class="block my-4" type="checkbox" name="create" placeholder="Campo requerido, sin espacios.">
        </div>
       
        <div class="form-field">
            <label for="">Eliminar</label>
            <input class="block my-4" type="checkbox" name="delete" placeholder="Campo requerido, sin espacios.">
        </div>
       
        <div class="form-field">
            <label for="">Actualizar</label>
            <input class="block my-4" type="checkbox" name="update" placeholder="Campo requerido, sin espacios.">
        </div>
       
        <div class="form-field">
            <label for="">Apertura/Cierre de Caja</label>
            <input class="block my-4" type="checkbox" name="cierre_caja" placeholder="Campo requerido, sin espacios.">
        </div>
       
        <div class="form-field">
            <label for="">Inventario</label>
            <input class="block my-4" type="checkbox" name="inventario" placeholder="Campo requerido, sin espacios.">
        </div>

        <div class="form-field">
            <label for="">Estatus</label>
            <select class="custom-select" name="status" id="" required>
                @foreach($statuses as $status)
                    <option value="{{ $status['id'] }}">{{ $status['nombre'] }}</option>
                @endforeach
            </select>
        </div>

        <button type="submit" class="px-4 py-2 w-full block my-4 font-semibold text-sm bg-emerald-600 text-white rounded-full shadow-sm">Guardar</button>
    </form>
</div>
