@extends('admin.template')

@section('content')
<h1 class="text-2xl text-center my-4">Editar Rol</h1>
<form class="form-md center shadow-lg px-4 py-4 mx-auto rounded-lg bg-zinc-50" action="{{ route('roles.update', $role->id) }}" method="POST">
    @method('PATCH')
    @csrf

    @if ($errors->any())
    <div class="alert alert-danger">
        @foreach ($errors->all() as $error)
        <span>{{ $error }}</span>
        @endforeach
    </div>
    @endif

    <div class="form-field">
        <label for="">Nombre del Rol</label>
        <input class="form-input w-full block my-4" type="nombre" value="{{ $role->nombre }}" name="nombre" placeholder="Campo requerido, sin espacios." required>
    </div>

    <div class="form-field">
        <label for="">Crear</label>
        <input class="block my-4" type="checkbox" value="{{ $role->create == '1' ? 'on' : '' }}" {{ $role->create == '1' ? 'checked' : 'unchecked' }} name="create" placeholder="Campo requerido, sin espacios.">
    </div>

    <div class="form-field">
        <label for="">Eliminar</label>
        <input class="block my-4" type="checkbox" value="{{ $role->delete == '1' ? 'on' : '' }}" {{ $role->delete == '1' ? 'checked' : 'unchecked'  }} name="delete" placeholder="Campo requerido, sin espacios.">
    </div>

    <div class="form-field">
        <label for="">Actualizar</label>
        <input class="block my-4" type="checkbox" value="{{ $role->update == '1' ? 'on' : '' }}" {{ $role->update == '1' ? 'checked' : 'unchecked' }} name="update" placeholder="Campo requerido, sin espacios.">
    </div>

    <div class="form-field">
        <label for="">Permisos Especiales</label>
        <input class="block my-4" type="checkbox" value="{{ $role->permisos_especiales == '1' ? 'on' : '' }}" {{ $role->permisos_especiales == '1' ? 'checked' : 'unchecked' }} name="permisos_especiales" placeholder="Campo requerido, sin espacios.">
    </div>

    <div class="form-field">
        <label for="">Apertura/Cierre de Caja</label>
        <input class="block my-4" type="checkbox" name="cierre_caja" value="{{ $role->cierre_caja == '1' ? 'SI' : 'NO' }}" placeholder="Campo requerido, sin espacios.">
    </div>
    
    <div class="form-field">
        <label for="">Inventario</label>
        <input class="block my-4" type="checkbox" name="inventario" value="{{ $role->inventario == '1' ? 'SI' : 'NO' }}" placeholder="Campo requerido, sin espacios.">
    </div>

    <div class="form-field">
        <label for="">Estatus</label>
        <select class="custom-select" name="status" id="" required>
            @foreach($statuses as $status)
            <option value="{{ $status['id'] }}" {{ $status["id"] == $role->status ? 'selected' : '' }}>{{ $status['nombre'] }}</option>
            @endforeach
        </select>
    </div>

    <button type="submit" class="px-4 py-2 w-full block my-4 font-semibold text-sm bg-emerald-600 text-white rounded-full shadow-sm">Guardar</button>
</form>
</div>
@endsection