@extends('admin.template')

@section('content')
    <button type="button" class="button-add px-4 py-2 block w-max my-4 font-semibold text-sm  text-white rounded-full shadow-sm">Agregar Rol</button>
    <h1 class="text-2xl text-center my-4">Lista de Roles</h1>
    <table class="table w-full bg-white rounded-xl">
        <thead class="table-heading text-white px-2 py-2">
          <tr>
            <th>ID</th>
            <th>Rol</th>
            <th>Crear</th>
            <th>Actualizar</th>
            <th>Eliminar</th>
            <th>Permisos Especiales</th>
            <th>Opciones</th>
            <th>Estatus</th>
          </tr>
        </thead>
        @foreach($roles as $role)
            <tbody>
                <tr>
                    <td class="px-2 py-2">{{ $role->id }}</td>
                    <td class="px-2 py-2"><a class="text-sky-600 font-bold" href="{{ route('roles.edit', $role->id) }}">{{ $role->nombre }}</a></td>
                    <td class="px-2 py-2">{{ $role->create == '1' ? 'SI' : 'NO' }}</td>
                    <td class="px-2 py-2">{{ $role->update == '1' ? 'SI' : 'NO' }}</td>
                    <td class="px-2 py-2">{{ $role->delete == '1' ? 'SI' : 'NO' }}</td>
                    <td class="px-2 py-2">{{ $role->permisos_especiales == '1' ? 'SI' : 'NO' }}</td>
                    <td class="px-2 py-2"><a class="text-sky-600 font-bold" href="{{ route('user-options.create', [$role->id, 'opcion' => $role->nombre]) }}">Editar</a></td>
                    <td class="px-2 py-2">{{ $role->status == '1' ? 'Activo' : 'Inactivo' }}</td>
                </tr>
            </tbody>
        @endforeach

        @if($roles->count() == 0)
            <tr>
                <td colspan="8" class="px-2 py-2">No hay registros</td>
            </tr>
        @endif
    </table>
@endsection

@section('other-content')
    @include('admin.roles.create')
@endsection