<div class="container-pos">
    <svg class="close-icon" xmlns="http://www.w3.org/2000/svg" height="24" viewBox="0 -960 960 960" width="24"><path d="m313-440 224 224-57 56-320-320 320-320 57 56-224 224h487v80H313Z"/></svg>
    <h1 class="text-2xl text-center my-4">Información del Producto</h1>
    <form class="form-md form center shadow-lg px-4 py-4 mx-auto rounded-lg bg-zinc-50" action="{{ route('products.store') }}" method="POST">
        @method('POST')
        @csrf

        @if ($errors->any())
        <div class="alert alert-danger">
            @foreach ($errors->all() as $error)
            <span>{{ $error }}</span>
            @endforeach
        </div>
        @endif

        <div class="form-field">
            <label for="">Categoria</label>
            <select class="custom-select" name="category_id" id="">
                @foreach($categories as $category)
                    <option value="{{ $category->id }}">{{ $category->nombre }}</option>
                @endforeach
            </select>
        </div>
        
        <div class="form-field">
            <label for="">Nombre del Producto</label>
            <input class="form-input" type="text" name="nombre" required placeholder="Campo requerido, sin espacios.">
        </div>
        
        <div class="form-field">
            <label for="">Nombre del Producto Corto</label>
            <input class="form-input" type="text" name="nombre_corto" required placeholder="Campo requerido, sin espacios.">
        </div>

        <div class="form-field">
            <label for="">Precio Unitario</label>
            <input class="form-input" type="text" name="precio_unitario" required placeholder="Campo requerido">
        </div>
       
        <div class="form-field">
            <label for="">Imagen</label>
            <input class="form-input" type="file" name="imagen" placeholder="Campo requerido">
        </div>

        <button type="submit" class="btn btn-primary btn-block">Guardar</button>
    </form>
</div>