@extends('admin.template')

@section('content')
    <section>
        <h1 class="text-2xl text-center my-4">Editar Información</h1>
        <form class="form-md center shadow-lg px-4 py-4 mx-auto rounded-lg bg-zinc-50" method="POST" action="{{ route('users.update', $user->id) }}">
            @csrf
            @method('PATCH')

            @if ($errors->any())
                <div class="alert alert-danger">
                    <ul>
                        @foreach ($errors->all() as $error)
                            <li>{{ $error }}</li>
                        @endforeach
                    </ul>
                </div>
            @endif
            
            <div class="form-field">
                <label for="">Nombre de Usuario</label>
                <input type="text" class="form-input w-full block my-4" value="{{ $user->name ?? '' }}" name="username" placeholder="Introduza un nombre para el Usuario" required>
            </div>
           
            <div class="form-field">
                <label for="">Rol del Usuario</label>
                <select class="form-select" name="role_id" id="">
                    @foreach($roles as $role)
                        <option value="{{ $role->id }}"
                            @if ($user->role_id == $role->id)
                                selected=""   
                            @endif
                            >{{$role->nombre}}
                        </option>
                    @endforeach
                </select>
            </div> 

            <div class="form-field">
                <label for="">Email</label>
                <input type="email" class="form-input w-full block my-4" value="{{ $user->email ?? '' }}" name="email" placeholder="Introduzca un email valido">
            </div>
           
            <div class="form-field">
                <label for="">Contraseña</label>
                <input type="password" class="form-input w-full block my-4" value="" name="password" autocomplete="new-password">
            </div>
            
            <div class="">
                <button class="px-4 py-2 w-max my-4 font-semibold text-sm bg-emerald-600 text-white rounded-full shadow-sm">Guardar Información</button>
                <button class="px-4 py-2 w-max my-4 font-semibold text-sm bg-red-600 text-white rounded-full shadow-sm">Eliminar</button>
                <a class="px-4 py-2 w-max my-4 font-semibold text-sm bg-neutral-800 text-white rounded-full shadow-sm" href="{{ route('users.index') }}" class="btn btn-danger">Cancelar</a>
            </div>
        </form>
    </section>
@endsection