@extends('admin.template')

@section('content')
    <button type="button" class="button-add btn">Agregar Usuario</button>
    <h1 class="text-2xl text-center my-4">Lista de Usuarios</h1>
    <table class="table w-full bg-white rounded-xl">
        <thead class="table-heading text-white px-2 py-2">
          <tr>
            <td class="px-2 py-2">ID</td>
            <td class="px-2 py-2">Usuario</td>
            <td class="px-2 py-2">Email</td>
            <td class="px-2 py-2">Rol</td>
            <td class="px-2 py-2">Eliminar</td>
          </tr>
        </thead>
        @foreach($users as $user)
            <tbody>
                <tr>
                    <td class="px-2 py-2">{{ $user->id }}</td>
                    <td class="px-2 py-2"><a class="text-sky-600 font-bold" href="{{ route('users.edit', $user->id) }}">{{ $user->username }}</a></td>
                    <td class="px-2 py-2">{{ $user->email }}</td>
                    <td class="px-2 py-2">{{ $user->roles->nombre }}</td>
                    <td class="px-2 py-2"><button class="delete-resource" data-id="{{ $user->id }}" data-confirm="delete" data-url="{{ route('users.destroy', $user->id) }}" type="button"><svg style='pointer-events:none' xmlns="http://www.w3.org/2000/svg" height="24" viewBox="0 -960 960 960" width="24"><path d="M280-120q-33 0-56.5-23.5T200-200v-520h-40v-80h200v-40h240v40h200v80h-40v520q0 33-23.5 56.5T680-120H280Zm400-600H280v520h400v-520ZM360-280h80v-360h-80v360Zm160 0h80v-360h-80v360ZM280-720v520-520Z"/></svg></button></td>
                </tr>
            </tbody>
        @endforeach

        @if($users->count() == 0)
            <tr>
                <td class="px-2 py-2">No hay registros</td>
            </tr>
        @endif
    </table>
@endsection

@section('other-content')
    @include('admin.users.create')
@endsection
