<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Oasis Inversiones</title>
    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link href="https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,100..900;1,100..900&display=swap" rel="stylesheet">
    @vite(['resources/css/app.css', 'resources/js/app.js'])
    <link rel="apple-touch-icon" sizes="180x180" href="/apple-touch-icon.png">
    <link rel="icon" type="image/png" sizes="32x32" href="/favicon-32x32.png">
    <link rel="icon" type="image/png" sizes="16x16" href="/favicon-16x16.png">
    <link rel="manifest" href="/site.webmanifest">
</head>
<body>
    <form action="{{ route('new-password') }}" class="change-password"  method="POST">
        <h1 class="title text-center">Cambiar Contraseña</h1>
        @csrf
        @method('POST')
        @if ($errors->any())
            <div class="alert alert-danger">
                <ul>
                    @foreach ($errors->all() as $error)
                        <li>{{ $error }}</li>
                    @endforeach
                </ul>
            </div>
        @endif
        
        <div class="form-field">
            <label for="">Email</label>
            <input type="email" class="form-input" value="{{ $email }}" name="email" data-required="">
        </div>
    
        <div class="form-field">
            <label for="">Usuario</label>
            <input type="text" class="form-input" name="username" value="{{ $user->username }}" data-required="">
        </div>
    
        <div class="form-field">
            <label for="">Contraseña</label>
            <input type="password" class="form-input" name="password" data-required="" required>
        </div>
    
        <div class="form-field">
            <label for="">Confirmar Contraseña</label>
            <input type="password" class="form-input" name="confirm-password" data-required="" required>
        </div>

        <input type="hidden" name="email_token_verification" value="{{ $token }}">

        <button type="submit" class="btn btn-primary btn-center btn-block">
            Enviar
        </button>
    </form>
</body>
</html>