<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Oasis Inversiones || Inicio de Sesión</title>
    <meta name="csrf-token" content="{{ csrf_token() }}" />
    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link href="https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,100..900;1,100..900&display=swap" rel="stylesheet">
    <link rel="stylesheet" href="https://fonts.googleapis.com/css2?family=Material+Symbols+Outlined:opsz,wght,FILL,GRAD@24,400,0,0" />
    @vite(['resources/css/app.css', 'resources/js/login.js'])
    <link rel="apple-touch-icon" sizes="180x180" href="/apple-touch-icon.png">
    <link rel="icon" type="image/png" sizes="32x32" href="/favicon-32x32.png">
    <link rel="icon" type="image/png" sizes="16x16" href="/favicon-16x16.png">
    <link rel="manifest" href="/site.webmanifest">
</head>
<body>
    <header class="header-login">
        <a class="sign-up-link" href="#">Registrarme</a>
    </header>
    <main class="split-section flex">
        <div class="column">
            <form class="form-login" id="formLogin" method="POST" action="{{ route('login') }}">
                @method('POST')
                @csrf
                <img src="{{ asset('/images/app_logo.png') }}" alt="">
                <h3 class="text-center my-4 text-2xl">Login</h3>
                @if ($errors->any())
                    <div class="alert alert-danger">
                        <ul>
                            @foreach ($errors->all() as $error)
                                <li>{{ $error }}</li>
                            @endforeach
                        </ul>
                    </div>
                @endif
            
                <div class="form-field">
                    <input class="form-input form-block" type="text" name="username" id="" placeholder="C.I (Cedula)" autocomplete="off" data-required="">
                </div>
                
                <div class="form-field">
                    <input class="form-input form-block" type="password" name="password" id="" placeholder="Contraseña" autocomplete="off" data-required="">
                </div>
                
                <div class="form-field">
                    <input type="checkbox" name="keep_session" id="">
                    <label for="">Mantener Sesión</label>
                </div>
            
                <div class="form-buttons">
                    <button class="btn btn-center btn-primary px-4 py-2 my-2 font-semibold w-full text-sm  text-white rounded-full shadow-sm" type="submit">Ingresar</button>
                </div>
                <input type="hidden" data-platform="true" name="operative_system">
                <input type="hidden" data-browser="true" name="user_agent">
            </form> 
        </div>
        <div class="column hide-mobile">
            <h2>Proximamente Disponible</h2>
            <img width="200" src="{{ asset('/images/app-stores.png') }}" alt="">
        </div>
        <div class="notification" data-notification=""></div> 
    </main>   
    @include('auth.includes.sign-up')
    @include('auth.includes.send-email-link') 
    <footer class="footer-login">
        <a class="password-reset-link" href="#">Recuperar contraseña</a>
    </footer>
    <script>
    (function(){

        localStorage.clear()

        let platform = document.querySelector('[data-platform]')
        let browser = document.querySelector('[data-browser]')
             
        const getBrowserName = () => {
            if (navigator.brave != undefined)
                return 'Brave Browser';
            if (navigator.userAgent.indexOf('Edg') != -1)
                return 'Microsoft/Edge';
            if (navigator.userAgent.indexOf('Firefox') != -1)
                return 'Mozilla Firefox';
            if (navigator.userAgent.indexOf('OPR') != -1)
                return 'Opera Browser';
            if (navigator.userAgent.indexOf('Chrome') != -1)
                return 'Google Chrome';
            if (navigator.userAgent.indexOf('Safari') != -1)
                return 'Safari';
            return 'Navegador Desconocido';
        }

        const getPlatform = () => {
            if (navigator.userAgent.indexOf('Win') != -1)
                return 'Windows';
            if (navigator.userAgent.indexOf('Android') != -1)
                return 'Android OS';
            if (navigator.userAgent.indexOf('Linux') != -1)
                return 'Linux';
            if (navigator.userAgent.indexOf('Mac') != -1)
                return 'Mac OS';
        }

        platform.value = getPlatform()
        browser.value  = getBrowserName()
    })()
    </script>
</body>
</html>
