<!DOCTYPE html>
<html lang="{{ str_replace('_', '-', app()->getLocale()) }}">
<head>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <noscript>
        <h2>No puedes ejecutar esta pagina sin javascript</h2>
    </noscript>
    <meta name="csrf-token" content="{{ csrf_token() }}" />
    <meta name="msapplication-TileImage" content="{{ asset('/images/app_logo.png') }}">
    <title>Oasis Inversiones || Portal de Clientes</title>
    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link href="https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,100..900;1,100..900&display=swap" rel="stylesheet">
    <link rel="stylesheet" href="https://fonts.googleapis.com/css2?family=Material+Symbols+Outlined:opsz,wght,FILL,GRAD@24,400,0,0" />
    @vite(['resources/css/app.css', 'resources/js/app.js'])
</head>
<body class="body-dashboard" data-user="{{ Auth::user()->name }}" data-exchange-rate="{{ \Session::get('tasa_cambio') }}">
    <header class="flex justify-between px-4 py-2 app-header">
        <div class="ml-4 header-left">
            @if($menu_first_level->count() > 0)
                <svg fill="#fff" id="openMenu" class="op-men mr-4" viewBox="0 0 100 80" width="40" height="40">
                    <rect width="100" height="20"></rect>
                    <rect y="30" width="100" height="20"></rect>
                    <rect y="60" width="100" height="20"></rect>
                </svg>
            @endif
            <div class="app-logo">
                <img width="160" src="{{ asset('/images/app_logo.png') }}" alt="" class="logo-fyf">
            </div>
        </div>
        <div class="header-right flex">
           <div class="shopping-cart">
                <span class="material-symbols-outlined md">
                    shopping_cart
                </span>
                
           </div>
            <div class="user-info">
                <img title="{{Session::get('username')}}" src="https://ui-avatars.com/api/?name={{Session::get('username')[0]}}+&size=54&rounded=true&background=2c2c2c&color=FFF" }} alt="">
            </div>
            <span class="material-symbols-outlined md settings-icon">
                settings
            </span>
            <div class="settings-container">
                <p>Perfil: {{ Session::get('role_name') }}
                    <span class="material-symbols-outlined">
                        group
                    </span>
                </p>
                <ul class="settings-options">
                    <li><a href="{{ route('profile') }}">Editar Perfil</a></li>
                    <li><a href="{{ route('logout') }}">Logout 
                        <span class="material-symbols-outlined">
                        settings_power
                        </span>
                      </a>
                    </li>
                </ul>
            </div>
        </div>
    </header>
    
    @if($menu_first_level->count() > 0)
        <aside class="app-header">
            @include('admin.includes.menu')
        </aside>
    @endif

    @yield('header')

    <main class="app-content {{ $menu_first_level->count() > 0 ? 'opened' : '' }} py-2 px-2" id="appContent">
        @yield('content')
    </main>

    @yield('other-content')
    <div class="backdrop"></div>
    <div class="notification" data-notification=""></div> 
    @yield('js-scripts')
</body>
</html>

